{% extends "siswa/userbase.html.twig" %}

{% block body %}


    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Tagihan
        {% endblock %}
        {% block menuBar %}
            <div class="mt-1 text-center mb-1 w-100" id="content-bar">
            </div>
        {% endblock %}
    {% endembed %}

    <section class="container-fluid mt-3" id="content">

    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        function tagihanContent(v) {
            let {expiredPay, total, id} = v;
            let name = v['transaction']['skill']['user']['profile']['name'];
            let avatar = v['transaction']['skill']['user']['profile']['generatedAvatar'] || location.origin + '/images/no-image.png';
            let category = v['transaction']['skill']['category']['name'];
            let level = v['transaction']['skill']['level']['name'];
            let redirect = '/member/invoice/detail/' + id;
            let tempExpired = new Date(expiredPay);
            let strExpired = tempExpired.toLocaleDateString('id-ID', {year: 'numeric', month: 'long', day: 'numeric', hour: 'numeric', minute: 'numeric', second: 'numeric'})
            return '<div style="border-radius: 10px; box-shadow: 0 2px 10px var(--shadowColor1); margin-bottom: 1em">\n' +
                '<div style="border-bottom: 1px solid #ddd; padding: 1em">\n' +
                '<div class="form-check">\n' +
                '<input name="invoice-check[]" type="checkbox" value="' + id + '" class="form-check-input" id="trans-' + id + '" onchange="check()" checked>\n' +
                '<label>\n' +
                '<div class="header-profile mb-0">\n' +
                '<div class="gambar-div-sm ml-3">\n' +
                '<img src="' + avatar + '" alt="' + avatar + '"">\n' +
                '</div>\n' +
                '<div class="content">\n' +
                '<p class="title">' + name + '</p>\n' +
                '<p class="subtitle mb-0">' + category + ' - ' + level + '</p>\n' +
                '</div>\n' +
                '</div>\n' +
                '</label>\n' +
                '</div>\n' +
                '</div>\n' +
                '<div style="padding: 1em">\n' +
                '<div class="d-flex justify-content-between">\n' +
                '<div>\n' +
                '<p class="text-black-50 f08 mb-0 font-weight-bold">Total</p>\n' +
                '<p class="t-accent font-weight-bold f10">Rp. ' + formatUang(total) + '</p>\n' +
                '</div>\n' +
                '<a class="t-primary font-weight-bold f10" href="' + redirect + '">Detail </a>\n' +
                '</div>\n' +
                '<p class="div-color f08" style="border-color: var(--orange-temanbelajar); background-color: var(--orange-temanbelajar-light); border-radius: 50px">\n' +
                'Bayar Sebelum : ' + strExpired + ' WIB\n' +
                '</p>\n' +
                '</div>\n' +
                '</div>';
        }

        function barContent() {
            return '<div class="d-flex justify-content-between mb-2">\n' +
                '<div class="form-check">\n' +
                '<input type="checkbox" class="form-check-input" id="semuaTagihan" onchange="checkAll(this)" checked>\n' +
                '<label class="form-check-label f08 text-dark" for="semuaTagihan">Pilih Semua Tagihan</label>\n' +
                '</div>\n' +
                // '<a class="font-weight-bold f12" style="color: var(--primaryColor) !important;">Bayar</a>\n' +
                '</div>';
        }

        function emptyContent(text = 'Maaf Tidak Ada Transaksi') {
            return '<p class="b-primaryLight p-2" style="border-left: 4px solid var(--primaryColor)">Menampilkan semua tagihan yang harus kamu bayar</p>' +
                '<p class="f12 font-weight-bold text-center mt-5">Belum ada yang harus dibayar</p>\n' +
                '<p class="f10 text-black-50 text-center">Saat ini kamu belum memiliki tagihan yang harus dibayar. Tagihan' +
                'akan muncul di halaman ini setelah guru menerima pesananmu atau pertemuan les privatmu tersisa 1 kali' +
                'pertemuan.</p>\n' +
                '<a class="bt-primary mb-5 d-block mt-5">Berlangganan Les Privat Sekarang</a>';
        }

        async function getTransaction() {
            let el = $('#content');
            let elChild = $('#content-bar');
            el.append(createLoading('Sedang Memuat Data Tagihan...'));
            let response = await $.get('/member/invoice/data');
            console.log(response)
            el.empty();
            elChild.empty();
            if (response['code'] === 200) {
                let payload = response['payload'];
                let btnPay = '<div class="fixed-bottom container-fluid p-3">' +
                    '<a id="btn-pay" class="d-block w-100 bt-primary">Bayar</a>' +
                    '</div>';
                if (payload.length > 0) {
                    elChild.append(barContent());
                    $.each(payload, function (k, v) {
                        el.append(tagihanContent(v));
                    });
                    el.append(btnPay);
                    $('#btn-pay').on('click', function () {
                        pay();
                    });
                } else {
                    el.append(emptyContent());
                    elChild.empty();
                }
            }
        }

        function checkAll(element) {
            let cekEl = document.getElementsByName('invoice-check[]');
            cekEl.forEach(el => {
                el.checked = element.checked;
            });
        }

        function check() {
            let cekEl = document.getElementsByName('invoice-check[]');
            let parentEl = document.getElementById('semuaTagihan');
            cekEl.forEach(el => {
                if (!el.checked) {
                    parentEl.checked = false;
                }
            });
        }

        function pay() {
            let cekEl = document.getElementsByName('invoice-check[]');
            let checkedEl = [];
            cekEl.forEach(el => {
                if (el.checked) {
                    checkedEl.push(el.value)
                }
            });
            console.log(checkedEl)
            if (checkedEl.length > 0) {
                window.location.href = '/member/payment/?id=' + checkedEl;
                console.log(checkedEl)
            } else {
                genAlert('Oops', 'Kamu Harus Memilih Salah Satu Tagihan!');
            }

        }

        $(document).ready(function () {
            getTransaction();
        })
    </script>
{% endblock %}